' Represents a picture.
Public Class Picture
    ' The segments to draw.
    Public Segments As New Collection

    ' Clear the Segments collection.
    Public Sub Clear()
        Segments = New Collection
    End Sub

    ' Add a new segment to the drawing.
    Public Sub AddSegment(ByVal x1 As Double, ByVal y1 As Double, ByVal x2 As Double, ByVal y2 As Double)
        Segments.Add(New Segment(x1, y1, x2, y2))
    End Sub

    ' Draw the segments.
    Public Sub Draw(ByVal gr As Graphics)
        For Each seg As Segment In Segments
            seg.Draw(gr)
        Next seg
    End Sub
End Class

Public Class Segment
    Public X1 As Integer
    Public Y1 As Integer
    Public X2 As Integer
    Public Y2 As Integer

    Public Sub New(ByVal new_x1 As Integer, ByVal new_y1 As Integer, ByVal new_x2 As Integer, ByVal new_y2 As Integer)
        X1 = new_x1
        Y1 = new_y1
        X2 = new_x2
        Y2 = new_y2
    End Sub

    Public Sub New(ByVal new_x1 As Double, ByVal new_y1 As Double, ByVal new_x2 As Double, ByVal new_y2 As Double)
        X1 = CInt(new_x1)
        Y1 = CInt(new_y1)
        X2 = CInt(new_x2)
        Y2 = CInt(new_y2)
    End Sub

    ' Draw the segment.
    Public Sub Draw(ByVal gr As Graphics)
        gr.DrawLine(Pens.Blue, X1, Y1, X2, Y2)
    End Sub
End Class