Imports System.Data.OleDb

Public Class Form1
    ' The database connection.
    Private m_Connection As OleDbConnection

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Prepare the OleDbConnection object for use.
        PrepareConnection()
    End Sub

    ' Prepare the OleDbConnection object for use.
    Private Sub PrepareConnection()
        ' Compose the database path.
        Dim db_path As String = Application.StartupPath
        If db_path.EndsWith("\bin\Debug") OrElse db_path.EndsWith("\bin\Release") Then
            db_path = db_path.Substring(0, db_path.LastIndexOf("\bin"))
        End If
        If Not db_path.EndsWith("\") Then db_path &= "\"
        db_path &= "Empty.mdb"

        ' Prepare the connection.
        m_Connection = New OleDbConnection( _
            "Provider=Microsoft.Jet.OLEDB.4.0;" & _
            "Data Source=""" & db_path & """" _
        )
    End Sub

    ' Execute the SQL script.
    Private Sub btnRun_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnRun.Click
        ' Open the connection.
        m_Connection.Open()

        ' Break the script into semi-colon delimited commands.
        Dim commands() As String = Split(txtScript.Text, ";")

        ' Execute each command.
        Dim results As String = ""
        For i As Integer = 0 To commands.Length - 1
            ' Clean up the command to see if it's non-blank.
            Dim cmd As String = _
                commands(i).Replace(vbCr, " ").Replace(vbLf, " ").Trim()

            ' Execute only non-blank commands.
            If cmd.Length > 0 Then
                Debug.WriteLine(commands(i))

                ' Display the command.
                results &= commands(i) & vbCrLf

                txtResults.Text = results
                txtResults.Select(results.Length, 0)
                txtResults.ScrollToCaret()
                txtResults.Refresh()

                ' See if this is a SELECT command.
                If cmd.ToUpper.StartsWith("SELECT") Then
                    ' Execute the query.
                    results = results & ExecuteQuery(m_Connection, commands(i))
                Else
                    ' Execute the non-query command.
                    results = results & ExecuteNonQuery(m_Connection, commands(i))
                End If

                results &= vbCrLf & "==========" & vbCrLf
                txtResults.Text = results
                txtResults.Select(results.Length, 0)
                txtResults.ScrollToCaret()
                txtResults.Refresh()
            End If
        Next i

        ' Close the connection.
        m_Connection.Close()

        results &= "Done" & vbCrLf
        txtResults.Text = results
        txtResults.Select(results.Length - 1, 10)
        txtResults.ScrollToCaret()
    End Sub
End Class
